Summary: 	A utility for retrieving files using the HTTP or FTP protocols
Name: 		wget
Version: 	1.14
%define subrel	2
Release: 	%mkrel 4
Group: 		Networking/WWW
License: 	GPLv3
URL: 		http://www.gnu.org/directory/GNU/wget.html
Source0:	http://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.xz.sig
Patch2:		%{name}-1.13.4-fix-fr-po.patch
Patch3:		%{name}-forceclobber.patch
Patch4:		%{name}-logtostdout.patch
# patches 5 and 6 needs patch 3 to be applied before
# The following patch is needed for authenticated sites where login can have '@':
Patch5:		%{name}-urlpassword.patch
Patch7:		%{name}-1.13.4-etc.patch
Patch8:		wget-1.14-manpage-tex5.patch
Patch9:		wget-1.15-CVE-2014-4877.patch
Patch10:	wget-1.15-ftp-listing.patch
Provides: 	webclient webfetch
BuildRequires:	gettext
BuildRequires:	openssl-devel
BuildRequires:	gnutls-devel
BuildRequires:	texinfo
BuildRequires:	idn-devel
Requires(pre):	info-install
Requires(post):	info-install

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep
%setup -q
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch7 -p0
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
%configure2_5x \
	--enable-ipv6 \
	--disable-rpath \
	--with-ssl=openssl

%make

# all tests must pass (but where are they?)
%check
%__make check

%install
%makeinstall_std

%__install -m755 util/rmold.pl %{buildroot}/%{_bindir}/rmold

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%doc AUTHORS ChangeLog MAILING-LIST NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/wget.1*


%changelog
* Mon Oct 27 2014 luigiwalser <luigiwalser> 1.14-4.2.mga4
+ Revision: 793851
- add upstream patch with additional hardening related to CVE-2014-4877
- add upstream patch to fix CVE-2014-4877

* Sat Oct 19 2013 umeabot <umeabot> 1.14-4.mga4
+ Revision: 528042
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 fwang <fwang> 1.14-3.mga4
+ Revision: 443268
- correct fix from source mage
- fix build with man pages

* Mon Jan 14 2013 umeabot <umeabot> 1.14-2.mga3
+ Revision: 385686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 1.14-1.mga3
+ Revision: 279221
- rediff clobber patch
- rediff fr patch
- new version 1.14

* Sat Dec 31 2011 matteo <matteo> 1.13.4-2.mga2
+ Revision: 189300
- removed wrong patch of ssl certs path
- build against openssl
- restored check section

* Tue Oct 25 2011 matteo <matteo> 1.13.4-1.mga2
+ Revision: 158124
- added gnutls-devel as br
- upgraded to version 1.13.4

  + tv <tv>
    - new release
    - use xz sources

* Fri Jan 14 2011 ahmad <ahmad> 1.12-5.mga1
+ Revision: 17834
- imported package wget

